POST · Checkout API
POST
POST
/api/v1/clients/{clientId}/api-keysCreates a new long-lived API key for the registered client.
Returns the key once; it cannot be retrieved again.
Newly created keys can be used immediately to request short-lived access tokens.
For any matters concerning your API key, please provide menio with the public
idand not the secretkey.
Parameter
clientIdguidErforderlichThe unique identifier of the client.
Request-Header
Content-Typeapplication/json; charset=utf-8AuthorizationBasic base64(<clientId>:<clientSecret>)Idempotency-Key<idempotencyKey>Security-Token<securityToken>Timestamp<timestamp>Originaler Blueprint-Ausschnitt
API Blueprint
### POST [POST]
Creates a new long-lived API key for the registered client.
+ Returns the key once; it cannot be retrieved again.
+ Newly created keys can be used immediately to request short-lived access tokens.
+ For any matters concerning your API key, please provide qnips with the public `id` and not the secret `key`.
+ Parameters
+ clientId (guid, required) - The unique identifier of the client.
+ Request (application/json; charset=utf-8)
+ Headers
Authorization: Basic base64(<clientId>:<clientSecret>)
Idempotency-Key: <idempotencyKey>
Security-Token: <securityToken>
Timestamp: <timestamp>
+ Response 200 (application/json; charset=utf-8)
+ Attributes (object)
+ id: `f8975cdc-0902-4e35-9faa-cdc1492b4a5c` (string, required) - The unique identifier of the API key.
+ key: `qnp_qnipscheckout_sandbox_1V0mHEQk8Ki0CLaaOJTCBzr6776LfPh0PvQJs3li440nVaN` (string, required) - The actual API key.
+ expirationTimestamp: `2025-11-18T00:00:00.000Z` (string, required) - The expiration date and time of the API key in UTC.
+ Body
{
"id": "f8975cdc-0902-4e35-9faa-cdc1492b4a5c",
"key": "qnp_qnipscheckout_sandbox_1V0mHEQk8Ki0CLaaOJTCBzr6776LfPh0PvQJs3li440nVaN",
"expirationTimestamp": "2025-11-18T00:00:00.000Z"
}
+ Schema
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid"
},
"key": {
"type": "string"
},
"expirationTimestamp": {
"type": "string",
"format": "date-time"
}
}
}